### Type parameters

- #### T

### Hierarchy

- DynamoStore

## Index

### Constructors

- constructor

### Properties

- dynamoDBWrapper
- logger
- modelClazz
- tableName

### Accessors

- dynamoDB

### Methods

- batchGet
- batchWrite
- delete
- get
- makeRequest
- put
- query
- scan
- transactGet
- update

## Constructors

### constructor

- new DynamoStore(modelClazz: ModelConstructor<T>): DynamoStore

- - Defined in dynamo/dynamo-store.ts:27

  #### Parameters

  - ##### modelClazz: ModelConstructor<T>

  #### Returns DynamoStore

## Properties

### Private dynamoDBWrapper

dynamoDBWrapper: DynamoDbWrapper

- Defined in dynamo/dynamo-store.ts:27

### Private logger

logger: Logger

- Defined in dynamo/dynamo-store.ts:26

### Private modelClazz

modelClazz: ModelConstructor<T>

- Defined in dynamo/dynamo-store.ts:29

### tableName

tableName: string

- Defined in dynamo/dynamo-store.ts:25

## Accessors

### dynamoDB

dynamoDB:

- Defined in dynamo/dynamo-store.ts:21

## Methods

### batchGet

- batchGet(keys: Array<Partial<T>>): BatchGetSingleTableRequest<T>

- - Defined in dynamo/dynamo-store.ts:65

  This is a special implementation of BatchGetItem request, because it only supports one table, if you wish to retrieve items from multiple tables create an instance of BatchGetItemInput and use store.makeRequest with it.

  #### Parameters

  - ##### keys: Array<Partial<T>>

  #### Returns BatchGetSingleTableRequest<T>

### batchWrite

- batchWrite(): BatchWriteSingleTableRequest<T>

- - Defined in dynamo/dynamo-store.ts:74

  This is a special implementation of batchWriteItem request, because it only supports one table, if you wish to write items to multiple tables create an instance of BatchWriteItemInput and use store.makeRequest with it.

  #### Returns BatchWriteSingleTableRequest<T>

### delete

- delete(partitionKey: any, sortKey?: any): DeleteRequest<T>

- - Defined in dynamo/dynamo-store.ts:48

  #### Parameters

  - ##### partitionKey: any

  - ##### Optional sortKey: any

  #### Returns DeleteRequest<T>

### get

- get(partitionKey: any, sortKey?: any): GetRequest<T>

- - Defined in dynamo/dynamo-store.ts:40

  #### Parameters

  - ##### partitionKey: any

  - ##### Optional sortKey: any

  #### Returns GetRequest<T>

### makeRequest

- makeRequest<Z>(operation: DynamoApiOperations, params?: Record<string, any>): Promise<Z>

- - Defined in dynamo/dynamo-store.ts:82

  #### Type parameters

  - #### Z

  #### Parameters

  - ##### operation: DynamoApiOperations

  - ##### Optional params: Record<string, any>

  #### Returns Promise<Z>

### put

- put(item: T): PutRequest<T>

- - Defined in dynamo/dynamo-store.ts:36

  #### Parameters

  - ##### item: T

  #### Returns PutRequest<T>

### query

- query(): QueryRequest<T>

- - Defined in dynamo/dynamo-store.ts:56

  #### Returns QueryRequest<T>

### scan

- scan(): ScanRequest<T>

- - Defined in dynamo/dynamo-store.ts:52

  #### Returns ScanRequest<T>

### transactGet

- transactGet(keys: Array<Partial<T>>): TransactGetSingleTableRequest<T>

- - Defined in dynamo/dynamo-store.ts:78

  #### Parameters

  - ##### keys: Array<Partial<T>>

  #### Returns TransactGetSingleTableRequest<T>

### update

- update(partitionKey: any, sortKey?: any): UpdateRequest<T>

- - Defined in dynamo/dynamo-store.ts:44

  #### Parameters

  - ##### partitionKey: any

  - ##### Optional sortKey: any

  #### Returns UpdateRequest<T>

Generated using TypeDoc